<?php
error_reporting(0);
close_browse();
if (!eregi($_SERVER['SERVER_NAME'], $_SERVER['HTTP_REFERER'])) {exit();}
global $db, $CcTvAi_com_userid;
if ($CcTvAi_com_userid) {
	$cd_uid=SafeRequest("uid", "get");
	if(!IsNumID($CcTvAi_com_userid)) {exit();}
	if(!IsNumID($cd_uid)) {exit();}
	$cd_fgName=unescape(SafeRequest("fg_name", "get"));
	if ($cd_fgName=='') {exit($_GET['callback'] . '({"error":10007})');}
	if ($CcTvAi_com_groupnum>=8) {exit($_GET['callback'] . '({"error":100061})');}
	if (mb_strlen($cd_fgName, 'UTF8')>7) {exit($_GET['callback'] . '({"error":10006})');}
	//Èë¿â
	$setarr=array(
		'cd_uid' => $CcTvAi_com_userid,
		'cd_name' => $cd_fgName,
		'cd_count' => 0
	);
	inserttable('friendgroup', $setarr, 1);
	$db->query("update " . tname('user') . " set cd_groupnum=cd_groupnum+1 where cd_id='$CcTvAi_com_userid'");
	$showstr='[';
	$query=$db->query("select * from " . tname('friendgroup') . " where cd_uid='$CcTvAi_com_userid' order by cd_id asc LIMIT 0,10");
	while ($row=$db->fetch_array($query)) {
		$showstr=$showstr . '{"fgid":"' . $row['cd_id'] . '","uid":"' . $row['cd_uid'] . '","fg_name":"' . $row['cd_name'] . '","num":"' . $row['cd_count'] . '"},';
	}
	$showstr=$showstr . ']';
	$showstr=ReplaceStr($showstr, ",]", "]");
	exit($_GET['callback'] . '({"error":' . $showstr . ',"data":{"uid":' . $cd_uid . ',"fgid":0,"is_quietly":0}})');
} else {
	exit($_GET['callback'] . '({"error":20001})');
}
?>